Morpho - Bug #617

After updating a data file, entity, attribute and physical document version is not consistent in local

and metacat
10/01/2002 04:44 PM - Jing Tao

Status: Resolved Start date: 10/01/2002
Priority: Immediate Due date:

Assignee: Dan Higgins % Done: 0%
Category: morpho - dsp Estimated time: 0.00 hour
Target version: 1.2 Spent time: 0.00 hour
Bugzilla-ld: 617

Description

When | created new data package, local and metacat has same version(1)in each
file.

Howerver, if data file was changed in data table and update button was
clicked. It was found dataset, datafile, entity, attribute, physical were
updated to version 2 in local. But in metacat, only dataset and datafile
updated to version 2, the others still keep version 1. Actually, only data
file was updated and entity, attribute file would still keep in version 1.

History

#1 - 10/03/2002 07:53 AM - Dan Higgins

Documents were being incorrectly written to metacat dus to readers not being
reset to beginning of stream after writing local copies (for case where both
local and metacat docs were being updated.

Fixed by closing readers and recreating after local doc changes saved.

#2 - 03/27/2013 02:14 PM - Redmine Admin

Original Bugzilla ID was 617
